Description

The example output from `capsule-certs-generate` and also in the documentation (

http://www.katello.org/docs/2.1/user_guide/capsules/) (under "Installing") misses out some very important information related to

DHCP and DNS, specifically `--dhcp-gateway` and `--dns-reverse`. These default to a 192.168.100.0/24 IP/zone, which could very

well break the install (as it did for me).

The same problem exists on the RedHat documentation page (I'm not sure if you guys own that or not): 

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html/User_Guide/Configuring_a_Red_Hat_Satellite_Capsule.

html, number 2 part b.

Specifically, the `--dns-zone` option is specified but not the reverse!

This may not be a bug, but the documentation could do with a review and I'm not sure where to post it.

I'm using the following versions:

[root@capsule-core-1 etc]# rpm -qa | grep katello

katello-debug-2.2.0.14-1.el7sat.noarch

katello-default-ca-1.0-1.noarch

katello-installer-base-2.3.17-1.el7sat.noarch

katello-agent-2.2.5-1.el7sat.noarch

katello-service-2.2.0.14-1.el7sat.noarch

katello-certs-tools-2.2.1-1.el7sat.noarch

katello-server-ca-1.0-1.noarch

pulp-katello-0.5-1.el7sat.noarch

katello-ca-consumer-satellite.intranet.net-1.0-1.noarch

History

#1 - 05/15/2016 10:32 PM - Chris Roberts

- Status changed from New to Assigned

- Assignee set to Chris Roberts

Hi Alex,

Thanks for the ticket. I will submit the changes to get this fixed on the katello website. As far as the Red Hat bug, are you able to open a docs bug and

I can make sure it gets in the right hands.

#2 - 05/24/2016 08:56 PM - Eric Helms

- translation missing: en.field_release set to 143

#3 - 07/08/2016 11:16 AM - Justin Sherrill

- translation missing: en.field_release changed from 143 to 114
#4 - 07/02/2018 08:57 PM - Chris Roberts

- Status changed from Assigned to Resolved
